<?xml version="1.0" encoding="utf-8"?>
<FlexViewDescription>

	<Objects>
		<Column id="Label" fitting="content">
			<Attributes horizontalAlignment="right" font="RegularSystemFont"  />
		</Column>
		<Column id="Space" minWidth="10" fitting="content" />
		<Column id="DragSpace" minWidth="20" fitting="content" />
		<Column id="CheckboxIndent" minWidth="16" fitting="content" />
		<Column id="Content" fitting="maximum">
			<Attributes horizontalAlignment="left" />
		</Column>
		<Column id="ActionCheckBox" fitting="content">
			<Attributes horizontalAlignment="left" />
		</Column>
		<Column id="ActionContent" fitting="maximum">
			<Attributes horizontalAlignment="left" />
		</Column>
		<Column id="ActionContentLabel" fitting="content">
			<Attributes horizontalAlignment="right" />
		</Column>
		<Column id="ActionContentValue" fitting="maximum">
			<Attributes horizontalAlignment="left" />
		</Column>
		<Column id="ActionFilenameColumn" fitting="content">
			<Attributes horizontalAlignment="right" />
		</Column>
		<Column id="ActionFilenameColumnSpace" fitting="maximum">
			<Attributes horizontalAlignment="right" />
		</Column>
		<Column id="ActionAppNameColumn" fitting="content">
			<Attributes horizontalAlignment="right" />
		</Column>
		<Column id="ActionAppNameColumnSpace" fitting="maximum">
			<Attributes horizontalAlignment="right" />
		</Column>

		<CocoaAttributes id="stripe" padding="8,16,8,16" backgroundColor="ededed" borderColorBottom="bfbfbf" borderThickness="0,0,0,1" borderInset="0,0,0,60" />
		<CocoaAttributes id="lastContentStripe" padding="8,16,8,16" backgroundColor="ededed" />
		<CocoaAttributes id="lastStripe" backgroundColor="ededed" />

		<CocoaAttributes id="actionContainer" padding="0,8,0,4" />

		<RowContainer>
			<ColumnContainer id="actionFilenameContainer" columns="ActionContentLabelFilename,ActionContentValueFilename">
				<ColumnContainer columnId="ActionContentLabelFilename" columns="ActionFilenameColumnSpace,ActionFilenameColumn">
					<ColumnContainer columnId="ActionFilenameColumn">
						<ImageButton id="actionFilenameChoose">
							<CocoaAttributes backgroundOff="flexview-arrow" backgroundOffRollover="flexview-arrow" backgroundOffClicked="flexview-arrow-clicked" />
						</ImageButton>
						<TextField id="actionFilenameLabel" label="Filename" redirectId="actionFilenameChoose" url="DummyURL">
							<Attributes textColor="2589fb"/>
						</TextField>
					</ColumnContainer>
				</ColumnContainer>
				<TextView columnId="ActionContentValueFilename" id="actionFilename" label="Filename" fieldEditor="1" />
			</ColumnContainer>
			<ColumnContainer id="actionStringContainer" columns="ActionContentLabelString,ActionContentValueString">
				<TextField id="actionStringLabel" label="String" columnId="ActionContentLabelString" />
				<TextView id="actionString" label="String" fieldEditor="1" columnId="ActionContentValueString" />
			</ColumnContainer>
			<ColumnContainer id="actionBoolContainer" columns="ActionContentLabelBool,ActionContentValueBool">
				<CheckBox id="actionBool" label="Bool" columnId="ActionContentValueBool" />
			</ColumnContainer>
			<ColumnContainer id="actionPasswordContainer" columns="ActionContentLabelPassword,ActionContentValuePassword">
				<TextField id="actionPasswordLabel" label="Password" columnId="ActionContentLabelPassword" />
				<SecureTextView id="actionPassword" label="Password" fieldEditor="1" columnId="ActionContentValuePassword" />
			</ColumnContainer>
			<ColumnContainer id="actionURLContainer" columns="ActionContentLabelURL,ActionContentValueURL">
				<TextField id="actionURLLabel" label="URL" columnId="ActionContentLabelURL" />
				<TextView id="actionURL" label="URL" fieldEditor="1" columnId="ActionContentValueURL" />
			</ColumnContainer>
			<ColumnContainer id="actionApplicationNameStringContainer" columns="ActionContentLabelApplicationNameString,ActionContentValueApplicationNameString">
				<ColumnContainer columnId="ActionContentLabelApplicationNameString" columns="ActionAppNameColumnSpace,ActionAppNameColumn">
					<ColumnContainer columnId="ActionAppNameColumn">
						<ImageButton id="actionApplicationNameStringChoose">
							<CocoaAttributes backgroundOff="flexview-arrow" backgroundOffRollover="flexview-arrow" backgroundOffClicked="flexview-arrow-clicked" />
						</ImageButton>
						<TextField id="actionApplicationNameStringLabel" label="Application" redirectId="actionApplicationNameStringChoose" url="DummyURL">
							<Attributes textColor="2589fb"/>
						</TextField>
					</ColumnContainer>
				</ColumnContainer>
				<TextView id="actionApplicationNameString" label="Application Name" fieldEditor="1" columnId="ActionContentValueApplicationNameString" />
			</ColumnContainer>
		</RowContainer>

		<ColumnContainer id="locationPrototype" columns="LocationName,LocationButton">
			<TextField id="locationName" columnId="LocationName" />
			<OnOffButton id="locationButton" columnId="LocationButton" />
		</ColumnContainer>

	</Objects>

	<RootContainer>

		<Attributes font="RegularSystemFont"  />

		<RowContainer id="startAtLaunchStripe" cocoaAttributes="stripe" equalSpacing="0">
			<ColumnContainer columns="Replicator,Label,Space,Content">
				<TextField label="Connect Automatically" columnId="Label">
					<Attributes font="BoldRegularSystemFont" />
				</TextField>
				<CheckBox label="Connect this VPN when VPN Tracker is opened" id="startAtLaunch" columnId="Content" />
			</ColumnContainer>
		</RowContainer>

		<RowContainer id="locationsStripe" cocoaAttributes="stripe" equalSpacing="0">
			<ColumnContainer columns="Replicator,Label,Space,Content">
				<TextField label="Locations" columnId="Label">
					<Attributes font="BoldRegularSystemFont" />
				</TextField>
				<RowContainer columnId="Content">
					<CheckBox label="Automatically start and stop this connection according to specific locations" id="useConnectionLocations" />
					<ColumnContainer columns="CheckboxIndent,Content2">
						<RowContainer id="locationsContainer" columnId="Content2">
						</RowContainer>
					</ColumnContainer>
				</RowContainer>
			</ColumnContainer>
		</RowContainer>

		
		<RowContainer id="airPortNetworksStripe" cocoaAttributes="stripe" equalSpacing="0">
			<ColumnContainer columns="Replicator,Label,Space,Content">
				<TextField label="AirPort Networks" columnId="Label">
					<Attributes font="BoldRegularSystemFont" />
				</TextField>
				<CheckBox label="Automatically start this connection when using specific AirPort networks" id="useConnectionAirPortNetworks" columnId="Content" />
			</ColumnContainer>
			
			<RowContainer id="airPortNetworksContainer">
				<ColumnContainer columns="Label,Replicator,Space,Content" replicateMax="-1" id="airPortNetwork">
					<ColumnContainer columns="CheckboxIndent,AirPortNetworkLabel,AirPortNetworkName" columnId="Content">
						<TextField label="Network" columnID="AirPortNetworkLabel"/>
						<TextView id="airPortNetworkSSID" label="Network Name (SSID)" fieldEditor="1" columnID="AirPortNetworkName"/>
					</ColumnContainer>
				</ColumnContainer>
			</RowContainer>
		</RowContainer>
		

		<RowContainer id="startActionsStripe" cocoaAttributes="stripe" equalSpacing="0">
			<ColumnContainer columns="Replicator,Label,Space,Content">
				<TextField label="Actions after Start" columnId="Label">
					<Attributes font="BoldRegularSystemFont" />
				</TextField>
			</ColumnContainer>

			<RowContainer id="startActions">
				<ColumnContainer id="startAction" cocoaAttributes="actionContainer" columns="Label,Replicator,Space,Content,DragSpace" replicateMax="-1" sortable="1">
					<ColumnContainer columns="ActionCheckBox,ActionContent" columnId="Content">
						<CheckBox id="startActionActivated" columnId="ActionCheckBox" label=" " />
						<RowContainer columnId="ActionContent">
							<ColumnContainer columns="ActionPopup,ActionTimeout,Space,ActionExecute">
								<PopUpButton id="startActionAction" columnId="ActionPopup">
								</PopUpButton>
								<ColumnContainer id="startActionTimeoutContainer" columnId="ActionTimeout">
									<TextField label="Timeout" />
									<TextView id="startActionTimeout" label="Timeout" fieldEditor="1" />
									<TextField label="Seconds" />
								</ColumnContainer>
								<ColumnContainer columnId="ActionExecute">
									<ImageButton id="startActionExecute">
										<CocoaAttributes backgroundOff="flexview-arrow" backgroundOffRollover="flexview-arrow" backgroundOffClicked="flexview-arrow-clicked" />
									</ImageButton>
									<TextField label="Execute" redirectId="startActionExecute" url="DummyURL">
										<Attributes textColor="2589fb"/>
									</TextField>
								</ColumnContainer>
							</ColumnContainer>
							<RowContainer id="startActionAttributes">
							</RowContainer>
						</RowContainer>
					</ColumnContainer>
				</ColumnContainer>
			</RowContainer>

		</RowContainer>

		<RowContainer id="stopActionsStripe" cocoaAttributes="lastContentStripe" equalSpacing="0">
			<ColumnContainer columns="Replicator,Label,Space,Content">
				<TextField label="Actions before Stop" columnId="Label">
					<Attributes font="BoldRegularSystemFont" />
				</TextField>
			</ColumnContainer>

			<RowContainer id="stopActions">
				<ColumnContainer id="stopAction" cocoaAttributes="actionContainer" columns="Label,Replicator,Space,Content,DragSpace" replicateMax="-1" sortable="1">
					<ColumnContainer columns="ActionCheckBox,ActionContent" columnId="Content">
						<CheckBox id="stopActionActivated" columnId="ActionCheckBox" label=" " />
						<RowContainer columnId="ActionContent">
							<ColumnContainer columns="ActionPopup,ActionTimeout,Space,ActionExecute">
								<PopUpButton id="stopActionAction" columnId="ActionPopup">
								</PopUpButton>
								<ColumnContainer id="stopActionTimeoutContainer" columnId="ActionTimeout">
									<TextField label="Timeout" />
									<TextView id="stopActionTimeout" label="Timeout" fieldEditor="1" />
									<TextField label="Seconds" />
								</ColumnContainer>
								<ColumnContainer columnId="ActionExecute">
									<ImageButton id="stopActionExecute">
										<CocoaAttributes backgroundOff="flexview-arrow" backgroundOffRollover="flexview-arrow" backgroundOffClicked="flexview-arrow-clicked" />
									</ImageButton>
									<TextField label="Execute" redirectId="stopActionExecute" url="DummyURL">
										<Attributes textColor="2589fb"/>
									</TextField>
								</ColumnContainer>
							</ColumnContainer>
							<RowContainer id="stopActionAttributes">
							</RowContainer>
						</RowContainer>
					</ColumnContainer>
				</ColumnContainer>
			</RowContainer>
		</RowContainer>

		<RowContainer id="fillEmptySpace" cocoaAttributes="lastStripe">
		</RowContainer>

	</RootContainer>

</FlexViewDescription>
